[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#127252: -unstable compiled against the wrong libpng

On Thu, Jan 03, 2002 at 09:17:01AM -0600, Colin Watson wrote:
> On Wed, Jan 02, 2002 at 08:06:33PM +0900, Junichi Uekawa wrote:
> > On Wed, 2 Jan 2002 21:36:24 +1100
> > Mark Purcell <msp@debian.org> wrote:
> > > My question still remains.  If we require a big recompile, when/ how are we 
> > > going to bother to advise the maintainers of these packages? It has been 
> > > stated that we are talking about 300+ packages :-(
> > 
> > Mass NMU, setting Build-Depends to libpng-dev version that is for libpng3
> > sounds like a way to go.
> What about people's local binaries linked against libqt2 and libpng2?
> I maintain that "fixing" this in the applications is wrong; if at all
> possible, libqt2 should be more careful with the png namespace.

By the way, "imlib1" is in the same boat as libqt2: I recompiled
imlib using libpng3 and loads of GNOME binaries started failing to
load icons.  So this issue affects all of GNOME as well as KDE.


by Rocket to the Moon,
by Airplane to the Rocket,
by Taxi to the Airport,
by Frontdoor to the Taxi,
by throwing back the blanket and laying down the legs ...
- They Might Be Giants

Reply to: